Bug 180047 - IndexError: list index out of range
IndexError: list index out of range
Status: CLOSED CANTFIX
Product: Fedora
Classification: Fedora
Component: yumex (Show other bugs)
4
i686 Linux
medium Severity medium
: ---
: ---
Assigned To: Tim Lauridsen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2006-02-04 21:04 EST by Thilo Pfennig
Modified: 2007-11-30 17:11 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2006-02-10 02:32:09 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description Thilo Pfennig 2006-02-04 21:04:34 EST
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; de-DE; rv:1.7.12) Gecko/20060202 Fedora/1.0.7-1.2.fc4 Firefox/1.0.7

Description of problem:
Yumex stops processing while installing but gives no error messages besides the output (see below)

Version-Release number of selected component (if applicable):
yumex-0.44-1.0.fc4

How reproducible:
Didn't try

Steps to Reproduce:
1. install packages

  

Actual Results:  yumex stops but does not crash

Expected Results:  install everything or at least of there is a problem display what went wrong or tell me that yumex has stopped working.

Additional info:

Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 223, in on_button
    self.action.install_packages()
  File "/usr/share/yumex/yumexClasses/yumexBase.py", line 1003, in install_packages
    rc, msg = self.yw.install( sel)
  File "/usr/share/yumex/yumexClasses/yumexBase.py", line 466, in install
    return self.buildTransaction() 
  File "/usr/lib/python2.4/site-packages/PIL/__init__.py", line 343, in buildTransaction
    
  File "depsolve.py", line 211, in resolveDeps
  File "depsolve.py", line 169, in populateTs
  File "/usr/lib/python2.4/site-packages/PIL/__init__.py", line 685, in downloadHeader
    
  File "repos.py", line 624, in get
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 414, in urlgrab
    return self._mirror_try(func, url, kw)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 392, in _mirror_try
    mirrorchoice = self._get_mirror(gr)
  File "/usr/lib/python2.4/site-packages/urlgrabber/mirror.py", line 290, in _get_mirror
    return gr.mirrors[gr._next]
IndexError: list index out of range

I also have a screenshot if needed.
Comment 1 Tim Lauridsen 2006-02-06 04:56:04 EST
I look like urlgrabber runs out of mirrors to try when downloading headers.
What kind of mirrordection are you running ? (default,fastest,best).
What package are you trying to install, when the error occours.
Try to 'Tools->Clean Yum Metadata' and try again.
Comment 2 Thilo Pfennig 2006-02-06 07:43:53 EST
I had "best" for mirror detection. I do not know exactly what the list of
packages was.  If I clean up metadata I get 
"Traceback (most recent call last):
  File "/usr/share/yumex/yumex.py", line 308, in on_menu
    self.errorlog(0,_('%s was not deleted') % item)
AttributeError: MainApplication instance has no attribute 'errorlog'
"
Comment 3 Tim Lauridsen 2006-02-10 02:31:28 EST
> "Traceback (most recent call last):
>   File "/usr/share/yumex/yumex.py", line 308, in on_menu
>     self.errorlog(0,_('%s was not deleted') % item)
> AttributeError: MainApplication instance has no attribute 'errorlog'
> "

I have made a release 0.44.4 there fixes this traceback.

The IndexError is a problem in UrlGrabber, i hope it will be fixed soon.

https://lists.dulug.duke.edu/pipermail/yum-devel/2006-February/001911.html

Note You need to log in before you can comment on or make changes to this bug.